curl --request GET \
--url https://api.hubapi.com/crm/v3/exports/export/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": "<string>"
}エクスポートステータスが「完了」の場合に、生成されたファイルのURLなど、taskIdを含むエクスポートのステータスが返されます
curl --request GET \
--url https://api.hubapi.com/crm/v3/exports/export/async/tasks/{taskId}/status \
--header 'Authorization: Bearer <token>'{
"completedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"status": "CANCELED",
"errors": [
{
"category": "<string>",
"context": {},
"errors": [
{
"message": "<string>",
"code": "<string>",
"context": "{missingScopes=[scope1, scope2]}",
"in": "<string>",
"subCategory": "<string>"
}
],
"links": {},
"message": "<string>",
"status": "<string>",
"id": "<string>",
"subCategory": {}
}
],
"links": {},
"numErrors": 123,
"requestedAt": "2023-11-07T05:31:56Z",
"result": "<string>"
}サポートされる製品
必須スコープ
The access token received from the authorization server in the OAuth 2.0 flow.
エクスポートの固有ID。
successful operation
エクスポートが完了した時点のタイムスタンプ(ISO 8601形式)。
エクスポート処理が開始された時点のタイムスタンプ(ISO 8601形式)。
エクスポートの現在のステータス(PENDING、PROCESSING、COMPLETE、CANCELEDを取り得る)。
CANCELED, COMPLETE, PENDING, PROCESSING 表示 子属性
エクスポートに関連付けられた関連リンクのコレクション。
表示 子属性
エクスポート処理中に発生したエラーの数。
エクスポートリクエストが行われた時点のタイムスタンプ(ISO 8601形式)。
エクスポートステータスがCOMPLETEの場合の結果ファイルURL。